
  <!DOCTYPE html>
  <html>
    <head>
      <title>useRenderReferenceDot.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Graphic/hooks/useRenderReferenceDot.tsx</td><td class="">95.24%</td><td class="">80%</td><td class="">42</td><td class="">40</td><td class="">2</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { CSSProperties, useCallback, useMemo } from &#x27;react&#x27;;
import { ReferenceDot } from &#x27;recharts&#x27;;

const useReferenceDotStyle = (): CSSProperties =&gt;
  useMemo(
    () =&gt; ({
      pointerEvents: &#x27;none&#x27;
    }),
    []
  );
export const useRenderReferenceDot = () =&gt; {
  const style = useReferenceDotStyle();
  return useCallback(
    ({
      color,
      point
    }: {
      color: string;
      point: { x: number | null; y: number | null };
    }) =&gt;
      Boolean(point.x &amp;&amp; point.y) &amp;&amp; (
        &lt;ReferenceDot
          strokeWidth={1}
          stroke={color}
          fill={color}
          x={point.x as number}
          y={point.y as number}
          r={3}
          style={style}
        /&gt;
      ),
    [style]
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/components/Graphic/hooks/useRenderReferenceDot.tsx&quot;,&quot;line&quot;:25,&quot;character&quot;:13,&quot;text&quot;:&quot;point.x as number&quot;,&quot;kind&quot;:3},{&quot;file&quot;:&quot;src/components/Graphic/hooks/useRenderReferenceDot.tsx&quot;,&quot;line&quot;:26,&quot;character&quot;:13,&quot;text&quot;:&quot;point.y as number&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  